Skip to content
On this page

Create National ID Verification Requests. ​

Accepts requests for verifying Ugandan National ID details. All requests are queued and processed as soon as possible.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/idv/api/requests?v=1.0
Productionhttps://api.streamline.laboremus.ug/idv/api/requests?v=1.0

Sandbox testing

See the Sandbox Context page for NIN formats and whitelisted test values.

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Request Body ​

NameTypeRequiredDescription
surnamestring or nullno*Surname on the card
givenNamesstring or nullno*Given names on the card
dateOfBirthstring(date)no*Date of birth on the card
ninstring(14)yesNational ID Number on the card
cardNumberstring(9)yesCard number of the card

INFO

One of the 3 surname, givenNames and dateOfBirth is needed to make this verification

Example Request Body ​

Content type

application/json

json
{
    "surname": "string",
    "givenNames": "string",
    "dateOfBirth": "2019-08-24",
    "nin": "string",
    "cardNumber": "string"
}
{
    "surname": "string",
    "givenNames": "string",
    "dateOfBirth": "2019-08-24",
    "nin": "string",
    "cardNumber": "string"
}

Response ​

Response Values ​

NameTypeDescription
idstringUnique Id of the request
requestUristring or nullThe Url to find the request
statusstring (Enum: Pending, Completed, Failed)The stage of processing at which the request is

Example Response Body ​

Content type

application/json

json
{
 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
 "requestUri": "string",
 "status": "Pending"
}
{
 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
 "requestUri": "string",
 "status": "Pending"
}

Error Response ​

400 The request data is invalid

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors ​

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Not authorized to access the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Refuse to authorize access to the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Request does not exist

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 The server encountered an unexpected error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right